function  WWHBookData_AddIndexEntries(P)
{
var A=P.fA("A",null,null,"002");
var B=A.fA("Acknowledge",new Array("22"));
A=P.fA("B",null,null,"002");
B=A.fA("body type",new Array("106"));
B=A.fA("body types, message",new Array("16"));
B=A.fA("BytesMessage");
var C=B.fA("Write methods",new Array("71"));
A=P.fA("C",null,null,"002");
B=A.fA("changes from the previous release of TIBCO Enterprise Message Service C and COBOL Reference",new Array("4"));
B=A.fA("character encoding",new Array("12","12"));
B=A.fA("clear body",new Array("23"));
B=A.fA("clear properties",new Array("24"));
B=A.fA("client tracing");
C=B.fA("tibems_SetTraceFile",new Array("340"));
B=A.fA("code pages",new Array("450"));
B=A.fA("Connection",new Array("161"));
B=A.fA("ConnectionConsumer (not supported)",new Array("10#2120717"));
B=A.fA("console, MVS",new Array("453"));
B=A.fA("Console_Response",new Array("454"));
B=A.fA("conversion, data type",new Array("20"));
B=A.fA("copy a message",new Array("26"));
B=A.fA("create a message",new Array("25"));
B=A.fA("create message from byte array",new Array("27"));
B=A.fA("customer support",new Array("7"));
A=P.fA("D",null,null,"002");
B=A.fA("data type conversion",new Array("20"));
B=A.fA("delivery mode",new Array("98"));
B=A.fA("Destination");
C=B.fA("overview",new Array("108"));
B=A.fA("destroy message",new Array("28"));
B=A.fA("dynamic destination",new Array("108"));
A=P.fA("E",null,null,"002");
B=A.fA("EBCDIC",new Array("450"));
B=A.fA("encoding, character",new Array("12"));
B=A.fA("exceptions",new Array("440"));
A=P.fA("F",null,null,"002");
B=A.fA("fault tolerance");
C=B.fA("ActiveURL",new Array("165"));
A=P.fA("G",null,null,"002");
B=A.fA("get");
C=B.fA("message properties",new Array("40"));
B=A.fA("Get");
C=B.fA("MapMessage",new Array("75"));
A=P.fA("H",null,null,"002");
B=A.fA("headers, message",new Array("17"));
A=P.fA("L",null,null,"002");
B=A.fA("LookupContext",new Array("260"));
A=P.fA("M",null,null,"002");
B=A.fA("MapMessage");
C=B.fA("Get methods",new Array("75"));
C=B.fA("set methods",new Array("78"));
B=A.fA("message");
C=B.fA("get property",new Array("40"));
C=B.fA("selectors",new Array("19"));
B=A.fA("Message");
C=B.fA("Acknowledge",new Array("22"));
C=B.fA("body types",new Array("16"));
C=B.fA("headers",new Array("17"));
C=B.fA("parts of",new Array("15"));
C=B.fA("properties",new Array("18"));
C=B.fA("recover",new Array("50"));
C=B.fA("set property methods",new Array("58"));
B=A.fA("message body type",new Array("106"));
B=A.fA("MessageConsumer",new Array("127"));
B=A.fA("MessageProducer.Close",new Array("140"));
B=A.fA("MessageProducer.Send",new Array("148"));
B=A.fA("multicast");
C=B.fA("enable client",new Array("218"));
C=B.fA("exception callback",new Array("179"));
C=B.fA("multicast daemon",new Array("217"));
B=A.fA("MVS console",new Array("453"));
A=P.fA("O",null,null,"002");
B=A.fA("ObjectMessage",new Array("80"));
A=P.fA("P",null,null,"002");
B=A.fA("property, message",new Array("18"));
C=B.fA("set",new Array("58"));
B=A.fA("proxy, SSL",new Array("225","226"));
A=P.fA("Q",null,null,"002");
B=A.fA("Queue",new Array("116"));
B=A.fA("QueueBrowser",new Array("254"));
A=P.fA("R",null,null,"002");
B=A.fA("read");
C=B.fA("tibemsBytesMsg",new Array("67"));
B=A.fA("Read");
C=B.fA("StreamMethod",new Array("87"));
B=A.fA("read-only",new Array("23","27"));
B=A.fA("recover message",new Array("50"));
B=A.fA("request",new Array("17#2574864"));
A=P.fA("S",null,null,"002");
B=A.fA("selectors, message",new Array("19"));
B=A.fA("ServerSession (not supported)",new Array("10#2120717"));
B=A.fA("ServerSessionPool (not supported)",new Array("10#2120717"));
B=A.fA("set");
C=B.fA("code pages",new Array("450"));
B=A.fA("Set");
C=B.fA("MapMessage",new Array("78"));
C=B.fA("message property",new Array("58"));
B=A.fA("SSL proxy",new Array("225","226"));
B=A.fA("static destination",new Array("108"));
B=A.fA("StreamMessage");
C=B.fA("Read methods",new Array("87"));
C=B.fA("Write methods",new Array("91"));
B=A.fA("string and character encoding",new Array("12"));
B=A.fA("string encoding");
C=B.fA("EBCDIC",new Array("450"));
B=A.fA("support, contacting",new Array("7"));
A=P.fA("T",null,null,"002");
B=A.fA("technical support",new Array("7"));
B=A.fA("temporary destination",new Array("108"));
B=A.fA("TIBCO_HOME",new Array("6#35046"));
B=A.fA("tibems_Close",new Array("310"));
B=A.fA("tibems_GetAllowCloseInCallback",new Array("311"));
B=A.fA("tibems_GetConnectAttemptCount",new Array("312"));
B=A.fA("tibems_GetConnectAttemptDelay",new Array("313"));
B=A.fA("tibems_GetConnectAttemptTimeout",new Array("314"));
B=A.fA("tibems_GetExceptionOnFTEvents",new Array("315"));
B=A.fA("tibems_getExceptionOnFTSwitch",new Array("316","331"));
B=A.fA("tibems_GetMulticastDaemon",new Array("317"));
B=A.fA("tibems_GetMulticastEnabled",new Array("318"));
B=A.fA("tibems_GetReconnectAttemptCount",new Array("319"));
B=A.fA("tibems_GetReconnectAttemptDelay",new Array("320"));
B=A.fA("tibems_GetReconnectAttemptTimeout",new Array("321"));
B=A.fA("tibems_GetSocketReceiveBufferSize",new Array("322"));
B=A.fA("tibems_GetSocketSendBufferSize",new Array("323"));
B=A.fA("tibems_IsConsumerMulticast",new Array("324"));
B=A.fA("tibems_MVS_BreakFunction",new Array("452"));
B=A.fA("tibems_SetAllowCloseInCallback",new Array("326"));
B=A.fA("tibems_SetCodePages()",new Array("450"));
B=A.fA("tibems_SetConnectAttemptCount",new Array("327"));
B=A.fA("tibems_SetConnectAttemptDelay",new Array("328"));
B=A.fA("tibems_SetConnectAttemptTimeout",new Array("329"));
B=A.fA("tibems_SetExceptionOnFTEvents",new Array("330"));
B=A.fA("tibems_SetMulticastDaemon",new Array("332"));
B=A.fA("tibems_SetMulticastEnabled",new Array("333"));
B=A.fA("tibems_SetMulticastExceptionListener",new Array("334"));
B=A.fA("tibems_SetReconnectAttemptCount",new Array("335"));
B=A.fA("tibems_SetReconnectAttemptDelay",new Array("336"));
B=A.fA("tibems_SetReconnectAttemptTimeout",new Array("337"));
B=A.fA("tibems_SetSocketReceiveBufferSize",new Array("338"));
B=A.fA("tibems_SetSocketSendBufferSize",new Array("339"));
B=A.fA("tibems_SetTraceFile",new Array("340"));
B=A.fA("tibems_Sleep",new Array("341"));
B=A.fA("tibems_status",new Array("441"));
B=A.fA("tibems_Version",new Array("342"));
B=A.fA("tibemsAcknowledgeMode",new Array("252"));
B=A.fA("tibemsAdmin",new Array("345"));
B=A.fA("tibemsAdmin_Close",new Array("346"));
B=A.fA("tibemsAdmin_Create",new Array("347"));
B=A.fA("tibemsAdmin_GetCommandTimeout",new Array("348"));
B=A.fA("tibemsAdmin_GetConsumer",new Array("349"));
B=A.fA("tibemsAdmin_GetConsumers",new Array("350"));
B=A.fA("tibemsAdmin_GetInfo",new Array("351"));
B=A.fA("tibemsAdmin_GetProducerStatistics",new Array("352"));
B=A.fA("tibemsAdmin_GetQueue",new Array("353"));
B=A.fA("tibemsAdmin_GetQueues",new Array("354"));
B=A.fA("tibemsAdmin_GetTopic",new Array("355"));
B=A.fA("tibemsAdmin_GetTopics",new Array("356"));
B=A.fA("tibemsAdmin_SetCommandTimeout",new Array("357"));
B=A.fA("tibemsAdmin_SetExceptionListener",new Array("358"));
B=A.fA("tibemsBytesMsg",new Array("63"));
C=B.fA("read",new Array("67"));
B=A.fA("tibemsBytesMsg_Create",new Array("64"));
B=A.fA("tibemsBytesMsg_GetBodyLength",new Array("65"));
B=A.fA("tibemsBytesMsg_GetBytes",new Array("66"));
B=A.fA("tibemsBytesMsg_ReadBoolean",new Array("67#2264129"));
B=A.fA("tibemsBytesMsg_ReadByte",new Array("67#2264144"));
B=A.fA("tibemsBytesMsg_ReadBytes",new Array("68"));
B=A.fA("tibemsBytesMsg_ReadChar",new Array("67#2264180"));
B=A.fA("tibemsBytesMsg_ReadDouble",new Array("67#2264208"));
B=A.fA("tibemsBytesMsg_ReadFloat",new Array("67#2265059"));
B=A.fA("tibemsBytesMsg_ReadInt",new Array("67#2265101"));
B=A.fA("tibemsBytesMsg_ReadLong",new Array("67#2265137"));
B=A.fA("tibemsBytesMsg_ReadShort",new Array("67#2265171"));
B=A.fA("tibemsBytesMsg_ReadUnsignedByte",new Array("67#2265208"));
B=A.fA("tibemsBytesMsg_ReadUnsignedShort",new Array("67#2265264"));
B=A.fA("tibemsBytesMsg_ReadUTF",new Array("67#2265364"));
B=A.fA("tibemsBytesMsg_Reset",new Array("69"));
B=A.fA("tibemsBytesMsg_SetBytes",new Array("70"));
B=A.fA("tibemsBytesMsg_WriteBoolean",new Array("71#2276891"));
B=A.fA("tibemsBytesMsg_WriteByte",new Array("71#2276961"));
B=A.fA("tibemsBytesMsg_WriteBytes",new Array("72"));
B=A.fA("tibemsBytesMsg_WriteChar",new Array("71#2276982"));
B=A.fA("tibemsBytesMsg_WriteDouble",new Array("71#2276994"));
B=A.fA("tibemsBytesMsg_WriteFloat",new Array("71#2277006"));
B=A.fA("tibemsBytesMsg_WriteInt",new Array("71#2277018"));
B=A.fA("tibemsBytesMsg_WriteLong",new Array("71#2310338"));
B=A.fA("tibemsBytesMsg_WriteShort",new Array("71#2318413"));
B=A.fA("tibemsBytesMsg_WriteUTF",new Array("71#2277109"));
B=A.fA("tibemsCollection",new Array("359"));
B=A.fA("tibemsCollection_Destroy",new Array("360"));
B=A.fA("tibemsCollection_GetCount",new Array("361"));
B=A.fA("tibemsCollection_GetFirst",new Array("362"));
B=A.fA("tibemsCollection_GetNext",new Array("363"));
B=A.fA("tibemsConnection_Close",new Array("162"));
B=A.fA("tibemsConnection_Create",new Array("163"));
B=A.fA("tibemsConnection_CreateSession",new Array("164"));
B=A.fA("tibemsConnection_CreateSSL",new Array("163#2462276"));
B=A.fA("tibemsConnection_GetActiveURL",new Array("165"));
B=A.fA("tibemsConnection_GetClientId",new Array("166"));
B=A.fA("tibemsConnection_GetExceptionListener",new Array("167"));
B=A.fA("tibemsConnection_GetMetaData",new Array("168"));
B=A.fA("tibemsConnection_IsDisconnected",new Array("169"));
B=A.fA("tibemsConnection_SetClientId",new Array("170"));
B=A.fA("tibemsConnection_SetExceptionListener",new Array("171"));
B=A.fA("tibemsConnection_Start",new Array("172"));
B=A.fA("tibemsConnection_Stop",new Array("173"));
B=A.fA("tibemsConnectionFactory",new Array("201"));
B=A.fA("tibemsConnectionFactory_Create",new Array("202"));
B=A.fA("tibemsConnectionFactory_CreateConnection",new Array("203"));
B=A.fA("tibemsConnectionFactory_CreateXAConnection",new Array("204"));
B=A.fA("tibemsConnectionFactory_Destroy",new Array("205"));
B=A.fA("tibemsConnectionFactory_Print",new Array("210"));
B=A.fA("tibemsConnectionFactory_PrintToBuffer",new Array("211"));
B=A.fA("tibemsConnectionFactory_SetClientID",new Array("212"));
B=A.fA("tibemsConnectionFactory_SetConnectAttemptCount",new Array("213"));
B=A.fA("tibemsConnectionFactory_SetConnectAttemptDelay",new Array("214"));
B=A.fA("tibemsConnectionFactory_SetConnectAttemptTimeout",new Array("215"));
B=A.fA("tibemsConnectionFactory_SetMetric",new Array("216"));
B=A.fA("tibemsConnectionFactory_SetMulticastDaemon",new Array("217"));
B=A.fA("tibemsConnectionFactory_SetMulticastEnabled",new Array("218"));
B=A.fA("tibemsConnectionFactory_SetPkPassword",new Array("219"));
B=A.fA("tibemsConnectionFactory_SetReconnectAttemptCount",new Array("220"));
B=A.fA("tibemsConnectionFactory_SetReconnectAttemptDelay",new Array("221"));
B=A.fA("tibemsConnectionFactory_SetReconnectAttemptTimeout",new Array("222"));
B=A.fA("tibemsConnectionFactory_SetServerURL",new Array("223"));
B=A.fA("tibemsConnectionFactory_SetSSLParams",new Array("224"));
B=A.fA("tibemsConnectionFactory_SetSSLProxy",new Array("225"));
B=A.fA("tibemsConnectionFactory_SetSSLProxyAuth",new Array("226"));
B=A.fA("tibemsConnectionFactory_SetSSLProxyHost",new Array("206"));
B=A.fA("tibemsConnectionFactory_SetSSLProxyPassword",new Array("209"));
B=A.fA("tibemsConnectionFactory_SetSSLProxyPort",new Array("207"));
B=A.fA("tibemsConnectionFactory_SetSSLProxyUser",new Array("208"));
B=A.fA("tibemsConnectionFactory_SetUserName",new Array("227"));
B=A.fA("tibemsConnectionFactory_SetUserPassword",new Array("228"));
B=A.fA("tibemsConnectionMetaData",new Array("174"));
B=A.fA("tibemsConnectionMetaData_GetEMSMajorVersion",new Array("175"));
B=A.fA("tibemsConnectionMetaData_GetEMSMinorVersion",new Array("175"));
B=A.fA("tibemsConnectionMetaData_GetEMSProviderName",new Array("177","177#3594422"));
B=A.fA("tibemsConnectionMetaData_GetEMSVersion",new Array("175"));
B=A.fA("tibemsConnectionMetaData_GetProviderMajorVersion",new Array("176","176#3616725"));
B=A.fA("tibemsConnectionMetaData_GetProviderMinorVersion",new Array("176","176#3708826"));
B=A.fA("tibemsConnectionMetaData_GetProviderVersion",new Array("176","176#3708840"));
B=A.fA("tibemsConsumerInfo",new Array("364"));
B=A.fA("tibemsConsumerInfo_Destroy",new Array("365"));
B=A.fA("tibemsConsumerInfo_GetCreateTime",new Array("366"));
B=A.fA("tibemsConsumerInfo_GetCurrentMsgCountSentByServer",new Array("367"));
B=A.fA("tibemsConsumerInfo_GetCurrentMsgSizeSentByServer",new Array("368"));
B=A.fA("tibemsConsumerInfo_GetDestinationName",new Array("369"));
B=A.fA("tibemsConsumerInfo_GetDestinationType",new Array("370"));
B=A.fA("tibemsConsumerInfo_GetDetailedStatistics",new Array("371"));
B=A.fA("tibemsConsumerInfo_GetDurableName",new Array("372"));
B=A.fA("tibemsConsumerInfo_GetElapsedSinceLastAcknowledged",new Array("373"));
B=A.fA("tibemsConsumerInfo_GetElapsedSinceLastSent",new Array("374"));
B=A.fA("tibemsConsumerInfo_GetID",new Array("375"));
B=A.fA("tibemsConsumerInfo_GetPendingMessageCount",new Array("376"));
B=A.fA("tibemsConsumerInfo_GetPendingMessageSize",new Array("377"));
B=A.fA("tibemsConsumerInfo_GetStatistics",new Array("378"));
B=A.fA("tibemsConsumerInfo_GetTotalAcknowledgedCount",new Array("379"));
B=A.fA("tibemsConsumerInfo_GetTotalMsgCountSentByServer",new Array("380"));
B=A.fA("tibemsConsumerInfo_isActive",new Array("381"));
B=A.fA("tibemsConsumerInfo_IsConnected",new Array("382"));
B=A.fA("tibemsConsumerInfo_IsConnectionConsumer",new Array("383"));
B=A.fA("tibemsd",new Array("201#2106766","259#1941905"));
B=A.fA("tibemsDeliveryMode",new Array("98"));
B=A.fA("tibemsDestination",new Array("110"));
B=A.fA("tibemsDestination_Copy",new Array("111"));
B=A.fA("tibemsDestination_Create",new Array("112"));
B=A.fA("tibemsDestination_Destroy",new Array("113"));
B=A.fA("tibemsDestination_GetName",new Array("114"));
B=A.fA("tibemsDestination_GetType",new Array("115"));
B=A.fA("tibemsDetailedDestStat",new Array("384"));
B=A.fA("tibemsDetailedDestStat_GetDestinationName",new Array("385"));
B=A.fA("tibemsDetailedDestStat_GetDestinationType",new Array("386"));
B=A.fA("tibemsDetailedDestStat_GetStatData",new Array("387"));
B=A.fA("tibemsExceptionCallback",new Array("178","179"));
B=A.fA("tibemsFactoryLoadBalanceMetric",new Array("229"));
B=A.fA("tibemsLookupContext_Create",new Array("261"));
B=A.fA("tibemsLookupContext_CreateExternal",new Array("262"));
B=A.fA("tibemsLookupContext_CreateSSL",new Array("261"));
B=A.fA("tibemsLookupContext_Destroy",new Array("263"));
B=A.fA("tibemsLookupContext_Lookup",new Array("264"));
B=A.fA("tibemsLookupContext_LookupConnectionFactory",new Array("264"));
B=A.fA("tibemsLookupContext_LookupDestination",new Array("264"));
B=A.fA("tibemsLookupParams",new Array("265"));
B=A.fA("tibemsLookupParams_Create",new Array("266"));
B=A.fA("tibemsLookupParams_Destroy",new Array("267"));
B=A.fA("tibemsLookupParams_GetLdapServerUrl",new Array("268"));
B=A.fA("tibemsLookupParams_SetLdapBaseDN",new Array("269"));
B=A.fA("tibemsLookupParams_SetLdapCAFile",new Array("270"));
B=A.fA("tibemsLookupParams_SetLdapCAPath",new Array("271"));
B=A.fA("tibemsLookupParams_SetLdapCertFile",new Array("272"));
B=A.fA("tibemsLookupParams_SetLdapCiphers",new Array("273"));
B=A.fA("tibemsLookupParams_SetLdapConnType",new Array("274"));
B=A.fA("tibemsLookupParams_SetLdapCredential",new Array("275"));
B=A.fA("tibemsLookupParams_SetLdapKeyFile",new Array("276"));
B=A.fA("tibemsLookupParams_SetLdapPrincipal",new Array("277"));
B=A.fA("tibemsLookupParams_SetLdapRandFile",new Array("278"));
B=A.fA("tibemsLookupParams_SetLdapSearchScope",new Array("279"));
B=A.fA("tibemsLookupParams_SetLdapServerUrl",new Array("280"));
B=A.fA("tibemsMapMsg",new Array("73"));
B=A.fA("tibemsMapMsg_Create",new Array("74"));
B=A.fA("tibemsMapMsg_GetBoolean",new Array("75#2343235"));
B=A.fA("tibemsMapMsg_GetByte",new Array("75#2344425"));
B=A.fA("tibemsMapMsg_GetBytes",new Array("75#2344410"));
B=A.fA("tibemsMapMsg_GetChar",new Array("75#2344439"));
B=A.fA("tibemsMapMsg_GetDouble",new Array("75#2343930"));
B=A.fA("tibemsMapMsg_GetField",new Array("75#2343949"));
B=A.fA("tibemsMapMsg_GetFloat",new Array("75#2343965"));
B=A.fA("tibemsMapMsg_GetInt",new Array("75#2343983"));
B=A.fA("tibemsMapMsg_GetLong",new Array("75#2344159"));
B=A.fA("tibemsMapMsg_GetMapMsg",new Array("75#2343811"));
B=A.fA("tibemsMapMsg_GetMapNames",new Array("76"));
B=A.fA("tibemsMapMsg_GetShort",new Array("75#2344235"));
B=A.fA("tibemsMapMsg_GetString",new Array("75#2344258"));
B=A.fA("tibemsMapMsg_ItemExists",new Array("77"));
B=A.fA("tibemsMapMsg_SetBoolean",new Array("78#2345723"));
B=A.fA("tibemsMapMsg_SetByte",new Array("78#2345732"));
B=A.fA("tibemsMapMsg_SetBytes",new Array("79"));
B=A.fA("tibemsMapMsg_SetChar",new Array("78#2634570"));
B=A.fA("tibemsMapMsg_SetDouble",new Array("78#2345860"));
B=A.fA("tibemsMapMsg_SetDoubleArray",new Array("78#2345877"));
B=A.fA("tibemsMapMsg_SetFloat",new Array("78#2411720"));
B=A.fA("tibemsMapMsg_SetFloatArray",new Array("78#2347840"));
B=A.fA("tibemsMapMsg_SetInt",new Array("78#2411735"));
B=A.fA("tibemsMapMsg_SetIntArray",new Array("78#2348770"));
B=A.fA("tibemsMapMsg_SetLong",new Array("78#2411749"));
B=A.fA("tibemsMapMsg_SetLongArray",new Array("78#2348903"));
B=A.fA("tibemsMapMsg_SetMapMsg",new Array("78#2411812"));
B=A.fA("tibemsMapMsg_SetReferencedBytes",new Array("79#2636188"));
B=A.fA("tibemsMapMsg_SetShort",new Array("78#2411763"));
B=A.fA("tibemsMapMsg_SetShortArray",new Array("78#2348921"));
B=A.fA("tibemsMapMsg_SetStreamMsg",new Array("78#2589423"));
B=A.fA("tibemsMapMsg_SetString",new Array("78#2411777"));
B=A.fA("tibemsMsg",new Array("21"));
B=A.fA("tibemsMsg_Acknowledge",new Array("22"));
B=A.fA("tibemsMsg_ClearBody",new Array("23"));
B=A.fA("tibemsMsg_ClearProperties",new Array("24"));
B=A.fA("tibemsMsg_Create",new Array("25"));
B=A.fA("tibemsMsg_CreateCopy",new Array("26"));
B=A.fA("tibemsMsg_CreateFromBytes",new Array("27"));
B=A.fA("tibemsMsg_Destroy",new Array("28"));
B=A.fA("tibemsMsg_GetAsBytes",new Array("29"));
B=A.fA("tibemsMsg_GetAsBytesCopy",new Array("30"));
B=A.fA("tibemsMsg_GetBodyType",new Array("31"));
B=A.fA("tibemsMsg_GetBooleanProperty",new Array("40#3389620"));
B=A.fA("tibemsMsg_GetByteProperty",new Array("40#3389635"));
B=A.fA("tibemsMsg_GetByteSize",new Array("32"));
B=A.fA("tibemsMsg_GetCorrelationID",new Array("33"));
B=A.fA("tibemsMsg_GetDeliveryMode",new Array("34"));
B=A.fA("tibemsMsg_GetDestination",new Array("35"));
B=A.fA("tibemsMsg_GetDoubleProperty",new Array("40#3389650"));
B=A.fA("tibemsMsg_GetEncoding",new Array("36"));
B=A.fA("tibemsMsg_GetExpiration",new Array("37"));
B=A.fA("tibemsMsg_GetFloatProperty",new Array("40#3389665"));
B=A.fA("tibemsMsg_GetIntProperty",new Array("40#3389680"));
B=A.fA("tibemsMsg_GetLongProperty",new Array("40#3389695"));
B=A.fA("tibemsMsg_GetMessageID",new Array("38"));
B=A.fA("tibemsMsg_GetPriority",new Array("39"));
B=A.fA("tibemsMsg_GetProperty",new Array("40#3389605"));
B=A.fA("tibemsMsg_GetPropertyNames",new Array("41"));
B=A.fA("tibemsMsg_GetRedelivered",new Array("42"));
B=A.fA("tibemsMsg_GetReplyTo",new Array("43"));
B=A.fA("tibemsMsg_GetShortProperty",new Array("40#3389710"));
B=A.fA("tibemsMsg_GetStringProperty",new Array("40#3389725"));
B=A.fA("tibemsMsg_GetTimestamp",new Array("44"));
B=A.fA("tibemsMsg_GetType",new Array("45"));
B=A.fA("tibemsMsg_MakeWriteable",new Array("46"));
B=A.fA("tibemsMsg_Print",new Array("47"));
B=A.fA("tibemsMsg_PrintToBuffer",new Array("48"));
B=A.fA("tibemsMsg_PropertyExists",new Array("49"));
B=A.fA("tibemsMsg_Recover",new Array("50"));
B=A.fA("tibemsMsg_SetBooleanProperty",new Array("58#3398082"));
B=A.fA("tibemsMsg_SetByteProperty",new Array("58#3398097"));
B=A.fA("tibemsMsg_SetCorrelationID",new Array("51"));
B=A.fA("tibemsMsg_SetDeliveryMode",new Array("52"));
B=A.fA("tibemsMsg_SetDestination",new Array("53"));
B=A.fA("tibemsMsg_SetDoubleProperty",new Array("58#3398112"));
B=A.fA("tibemsMsg_SetEncoding",new Array("54"));
B=A.fA("tibemsMsg_SetExpiration",new Array("55"));
B=A.fA("tibemsMsg_SetFloatProperty",new Array("58#3398127"));
B=A.fA("tibemsMsg_SetIntProperty",new Array("58#3398142"));
B=A.fA("tibemsMsg_SetLongProperty",new Array("58#3398157"));
B=A.fA("tibemsMsg_SetMessageID",new Array("56"));
B=A.fA("tibemsMsg_SetPriority",new Array("57"));
B=A.fA("tibemsMsg_SetRedelivered",new Array("59"));
B=A.fA("tibemsMsg_SetReplyTo",new Array("60"));
B=A.fA("tibemsMsg_SetShortProperty",new Array("58#3398172"));
B=A.fA("tibemsMsg_SetStringProperty",new Array("58#3398187"));
B=A.fA("tibemsMsg_SetTimestamp",new Array("61"));
B=A.fA("tibemsMsg_SetType",new Array("62"));
B=A.fA("tibemsMsgCallback",new Array("137"));
B=A.fA("tibemsMsgConsumer_Close",new Array("128"));
B=A.fA("tibemsMsgConsumer_GetDestination",new Array("129"));
B=A.fA("tibemsMsgConsumer_GetMsgListener",new Array("130"));
B=A.fA("tibemsMsgConsumer_GetMsgSelector",new Array("131"));
B=A.fA("tibemsMsgConsumer_GetNoLocal",new Array("132"));
B=A.fA("tibemsMsgConsumer_Receive",new Array("133"));
B=A.fA("tibemsMsgConsumer_ReceiveNoWait",new Array("134"));
B=A.fA("tibemsMsgConsumer_ReceiveTimeout",new Array("135"));
B=A.fA("tibemsMsgConsumer_SetMsgListener",new Array("136"));
B=A.fA("tibemsMsgEnum_Destroy",new Array("101"));
B=A.fA("tibemsMsgEnum_GetNextName",new Array("102"));
B=A.fA("tibemsMsgField_Print",new Array("104"));
B=A.fA("tibemsMsgField_PrintToBuffer",new Array("105"));
B=A.fA("tibemsMsgProducer",new Array("139"));
B=A.fA("tibemsMsgProducer_Close",new Array("140"));
B=A.fA("tibemsMsgProducer_GetDeliveryMode",new Array("141"));
B=A.fA("tibemsMsgProducer_GetDestination",new Array("142"));
B=A.fA("tibemsMsgProducer_GetDisableMessageID",new Array("143"));
B=A.fA("tibemsMsgProducer_GetDisableMessageTimestamp",new Array("144"));
B=A.fA("tibemsMsgProducer_GetPriority",new Array("146"));
B=A.fA("tibemsMsgProducer_GetTimeToLive",new Array("147"));
B=A.fA("tibemsMsgProducer_Send",new Array("148"));
B=A.fA("tibemsMsgProducer_SendEx",new Array("148#2437960"));
B=A.fA("tibemsMsgProducer_SendToDestination",new Array("148#2437974"));
B=A.fA("tibemsMsgProducer_SendToDestinationEx",new Array("148#2437870"));
B=A.fA("tibemsMsgProducer_SetDeliveryMode",new Array("149"));
B=A.fA("tibemsMsgProducer_SetDisableMessageID",new Array("150"));
B=A.fA("tibemsMsgProducer_SetDisableMessageTimestamp",new Array("151"));
B=A.fA("tibemsMsgProducer_SetPriority",new Array("153"));
B=A.fA("tibemsMsgProducer_SetTimeToLive",new Array("154"));
B=A.fA("tibemsMsgRequestor",new Array("156"));
B=A.fA("tibemsMsgRequestor_Close",new Array("157"));
B=A.fA("tibemsMsgRequestor_Create",new Array("158"));
B=A.fA("tibemsMsgRequestor_Request",new Array("159"));
B=A.fA("tibemsMsgType",new Array("106"));
B=A.fA("tibemsObjectMsg_Create",new Array("81"));
B=A.fA("tibemsObjectMsg_GetObjectBytes",new Array("82"));
B=A.fA("tibemsObjectMsg_SetObjectBytes",new Array("83"));
B=A.fA("tibemsProducerInfo",new Array("388"));
B=A.fA("tibemsProducerInfo_Destroy",new Array("389"));
B=A.fA("tibemsProducerInfo_GetCreateTime",new Array("390"));
B=A.fA("tibemsProducerInfo_GetDestinationName",new Array("391"));
B=A.fA("tibemsProducerInfo_GetDestinationType",new Array("392"));
B=A.fA("tibemsProducerInfo_GetDetailedStatistics",new Array("393"));
B=A.fA("tibemsProducerInfo_GetID",new Array("394"));
B=A.fA("tibemsProducerInfo_GetStatistics",new Array("395"));
B=A.fA("tibemsQueue_Create",new Array("117"));
B=A.fA("tibemsQueue_Destroy",new Array("118"));
B=A.fA("tibemsQueue_GetQueueName",new Array("119"));
B=A.fA("tibemsQueueBrowser_Close",new Array("255"));
B=A.fA("tibemsQueueBrowser_GetMsgSelector",new Array("256"));
B=A.fA("tibemsQueueBrowser_GetNext",new Array("257"));
B=A.fA("tibemsQueueBrowser_GetQueue",new Array("258"));
B=A.fA("tibemsQueueInfo",new Array("396"));
B=A.fA("tibemsQueueInfo_Create",new Array("397"));
B=A.fA("tibemsQueueInfo_Destroy",new Array("398"));
B=A.fA("tibemsQueueInfo_GetDeliveredMessageCount",new Array("399"));
B=A.fA("tibemsQueueInfo_GetFlowControlMaxBytes",new Array("400"));
B=A.fA("tibemsQueueInfo_GetInboundStatistics",new Array("401"));
B=A.fA("tibemsQueueInfo_GetMaxBytes",new Array("402"));
B=A.fA("tibemsQueueInfo_GetMaxMsgs",new Array("403"));
B=A.fA("tibemsQueueInfo_GetName",new Array("404"));
B=A.fA("tibemsQueueInfo_GetOutboundStatistics",new Array("405"));
B=A.fA("tibemsQueueInfo_GetOverflowPolicy",new Array("406"));
B=A.fA("tibemsQueueInfo_GetPendingMessageCount",new Array("407"));
B=A.fA("tibemsQueueInfo_GetPendingMessageSize",new Array("408"));
B=A.fA("tibemsQueueInfo_GetPendingPersistentMessageCount",new Array("409"));
B=A.fA("tibemsQueueInfo_GetPendingPersistentMessageSize",new Array("410"));
B=A.fA("tibemsQueueInfo_GetReceiverCount",new Array("411"));
B=A.fA("tibemsServerInfo",new Array("412"));
B=A.fA("tibemsServerInfo_Destroy",new Array("413"));
B=A.fA("tibemsServerInfo_GetConsumerCount",new Array("414"));
B=A.fA("tibemsServerInfo_GetProducerCount",new Array("415"));
B=A.fA("tibemsServerInfo_GetQueueCount",new Array("416"));
B=A.fA("tibemsServerInfo_GetTopicCount",new Array("417"));
B=A.fA("tibemsSession",new Array("231"));
B=A.fA("tibemsSession_Close",new Array("232"));
B=A.fA("tibemsSession_Commit",new Array("233"));
B=A.fA("tibemsSession_CreateBrowser",new Array("234"));
B=A.fA("tibemsSession_CreateBytesMessage",new Array("235"));
B=A.fA("tibemsSession_CreateConsumer",new Array("236"));
B=A.fA("tibemsSession_CreateDurableSubscriber",new Array("237"));
B=A.fA("tibemsSession_CreateMapMessage",new Array("238"));
B=A.fA("tibemsSession_CreateMessage",new Array("239"));
B=A.fA("tibemsSession_CreateProducer",new Array("240"));
B=A.fA("tibemsSession_CreateStreamMessage",new Array("241"));
B=A.fA("tibemsSession_CreateTemporaryQueue",new Array("242"));
B=A.fA("tibemsSession_CreateTemporaryTopic",new Array("243"));
B=A.fA("tibemsSession_CreateTextMessage",new Array("244"));
B=A.fA("tibemsSession_CreateTextMessageEx",new Array("244"));
B=A.fA("tibemsSession_DeleteTemporaryQueue",new Array("245"));
B=A.fA("tibemsSession_DeleteTemporaryTopic",new Array("246"));
B=A.fA("tibemsSession_GetAcknowledgeMode",new Array("247"));
B=A.fA("tibemsSession_GetTransacted",new Array("248"));
B=A.fA("tibemsSession_Recover",new Array("249"));
B=A.fA("tibemsSession_Rollback",new Array("250"));
B=A.fA("tibemsSession_Unsubscribe",new Array("251"));
B=A.fA("tibemsSSL_GetDebugTrace",new Array("181","181#2662927"));
B=A.fA("tibemsSSL_GetTrace",new Array("181"));
B=A.fA("tibemsSSL_OpenSSLVersion",new Array("182"));
B=A.fA("tibemsSSL_SetDebugTrace",new Array("183"));
B=A.fA("tibemsSSL_SetTrace",new Array("183"));
B=A.fA("tibemsSSLHostNameVerifier",new Array("199"));
B=A.fA("tibemsSSLParams_AddIssuerCert",new Array("185"));
B=A.fA("tibemsSSLParams_AddIssuerCertFile",new Array("185"));
B=A.fA("tibemsSSLParams_AddTrustedCert",new Array("186"));
B=A.fA("tibemsSSLParams_AddTrustedCertFile",new Array("186"));
B=A.fA("tibemsSSLParams_Create",new Array("187"));
B=A.fA("tibemsSSLParams_Destroy",new Array("188"));
B=A.fA("tibemsSSLParams_GetIdentity",new Array("189"));
B=A.fA("tibemsSSLParams_GetPrivateKey",new Array("190"));
B=A.fA("tibemsSSLParams_SetAuthOnly",new Array("191"));
B=A.fA("tibemsSSLParams_SetCiphers",new Array("192"));
B=A.fA("tibemsSSLParams_SetExpectedHostName",new Array("193"));
B=A.fA("tibemsSSLParams_SetHostNameVerifier",new Array("194"));
B=A.fA("tibemsSSLParams_SetIdentity",new Array("195"));
B=A.fA("tibemsSSLParams_SetIdentityFile",new Array("195#2660026"));
B=A.fA("tibemsSSLParams_SetPrivateKey",new Array("196"));
B=A.fA("tibemsSSLParams_SetPrivateKeyFile",new Array("196#2660084"));
B=A.fA("tibemsSSLParams_SetRandData",new Array("197"));
B=A.fA("tibemsSSLParams_SetRandEGD",new Array("197#2660152"));
B=A.fA("tibemsSSLParams_SetRandFile",new Array("197#2660141"));
B=A.fA("tibemsSSLParams_SetVerifyHost",new Array("198"));
B=A.fA("tibemsSSLParams_SetVerifyHostName",new Array("198"));
B=A.fA("tibemsStatData",new Array("418"));
B=A.fA("tibemsStatData_GetByteRate",new Array("419"));
B=A.fA("tibemsStatData_GetMessageRate",new Array("420"));
B=A.fA("tibemsStatData_GetTotalBytes",new Array("421"));
B=A.fA("tibemsStatData_GetTotalMessages",new Array("422"));
B=A.fA("tibemsStatus_GetText",new Array("442"));
B=A.fA("tibemsStreamMsg",new Array("84"));
B=A.fA("tibemsStreamMsg_Create",new Array("85"));
B=A.fA("tibemsStreamMsg_FreeField",new Array("86"));
B=A.fA("tibemsStreamMsg_ReadBoolean",new Array("87#2378210"));
B=A.fA("tibemsStreamMsg_ReadByte",new Array("87#2378226"));
B=A.fA("tibemsStreamMsg_ReadBytes",new Array("88"));
B=A.fA("tibemsStreamMsg_ReadChar",new Array("87#2378259"));
B=A.fA("tibemsStreamMsg_ReadDouble",new Array("87#2378269"));
B=A.fA("tibemsStreamMsg_ReadField",new Array("89"));
B=A.fA("tibemsStreamMsg_ReadFloat",new Array("87#2378289"));
B=A.fA("tibemsStreamMsg_ReadInt",new Array("87#2378299"));
B=A.fA("tibemsStreamMsg_ReadLong",new Array("87#2378357"));
B=A.fA("tibemsStreamMsg_ReadShort",new Array("87#2378757"));
B=A.fA("tibemsStreamMsg_ReadString",new Array("87#2378803"));
B=A.fA("tibemsStreamMsg_Reset",new Array("90"));
B=A.fA("tibemsStreamMsg_WriteBoolean",new Array("91#2394823"));
B=A.fA("tibemsStreamMsg_WriteByte",new Array("91#2394830"));
B=A.fA("tibemsStreamMsg_WriteBytes",new Array("92"));
B=A.fA("tibemsStreamMsg_WriteChar",new Array("91#2394837"));
B=A.fA("tibemsStreamMsg_WriteDouble",new Array("91#2394844"));
B=A.fA("tibemsStreamMsg_WriteDoubleArray",new Array("91#2407412"));
B=A.fA("tibemsStreamMsg_WriteFloat",new Array("91#2394869"));
B=A.fA("tibemsStreamMsg_WriteFloatArray",new Array("91#2407428"));
B=A.fA("tibemsStreamMsg_WriteInt",new Array("91#2394884"));
B=A.fA("tibemsStreamMsg_WriteIntArray",new Array("91#2407436"));
B=A.fA("tibemsStreamMsg_WriteLong",new Array("91#2394899"));
B=A.fA("tibemsStreamMsg_WriteLongArray",new Array("91#2408445"));
B=A.fA("tibemsStreamMsg_WriteMapMsg",new Array("91#2411919"));
B=A.fA("tibemsStreamMsg_WriteShort",new Array("91#2394935"));
B=A.fA("tibemsStreamMsg_WriteShortArray",new Array("91#2408464"));
B=A.fA("tibemsStreamMsg_WriteStreamMsg",new Array("91#2764522"));
B=A.fA("tibemsStreamMsg_WriteString",new Array("91#2394950"));
B=A.fA("tibemsTemporaryQueue",new Array("120"));
B=A.fA("tibemsTemporaryTopic",new Array("121"));
B=A.fA("tibemsTextMsg",new Array("93"));
B=A.fA("tibemsTextMsg_Create",new Array("94"));
B=A.fA("tibemsTextMsg_GetText",new Array("95"));
B=A.fA("tibemsTextMsg_SetText",new Array("96"));
B=A.fA("tibemsTopic_Create",new Array("123"));
B=A.fA("tibemsTopic_Destroy",new Array("124"));
B=A.fA("tibemsTopic_GetTopicName",new Array("125"));
B=A.fA("tibemsTopicInfo",new Array("423"));
B=A.fA("tibemsTopicInfo_Create",new Array("424"));
B=A.fA("tibemsTopicInfo_Destroy",new Array("425"));
B=A.fA("tibemsTopicInfo_GetActiveDurableCount",new Array("426"));
B=A.fA("tibemsTopicInfo_GetDurableCount",new Array("427"));
B=A.fA("tibemsTopicInfo_GetFlowControlMaxBytes",new Array("428"));
B=A.fA("tibemsTopicInfo_GetInboundStatistics",new Array("429"));
B=A.fA("tibemsTopicInfo_GetMaxBytes",new Array("430"));
B=A.fA("tibemsTopicInfo_GetMaxMsgs",new Array("431"));
B=A.fA("tibemsTopicInfo_GetName",new Array("432"));
B=A.fA("tibemsTopicInfo_GetOutboundStatistics",new Array("433"));
B=A.fA("tibemsTopicInfo_GetOverflowPolicy",new Array("434"));
B=A.fA("tibemsTopicInfo_GetPendingMessageCount",new Array("435"));
B=A.fA("tibemsTopicInfo_GetPendingMessageSize",new Array("436"));
B=A.fA("tibemsTopicInfo_GetPendingPersistentMessageCount",new Array("437"));
B=A.fA("tibemsTopicInfo_GetPendingPersistentMessageSize",new Array("438"));
B=A.fA("tibemsTopicInfo_GetSubscriberCount",new Array("439"));
B=A.fA("tibemsXAConnection_Close",new Array("283"));
B=A.fA("tibemsXAConnection_Create",new Array("284"));
B=A.fA("tibemsXAConnection_CreateSSL",new Array("284#2675000"));
B=A.fA("tibemsXAConnection_CreateXASession",new Array("285"));
B=A.fA("tibemsXAConnection_Get",new Array("286"));
B=A.fA("tibemsXAConnection_GetXASession",new Array("287"));
B=A.fA("tibemsXAResource",new Array("289"));
B=A.fA("tibemsXAResource_Commit",new Array("290"));
B=A.fA("tibemsXAResource_End",new Array("291"));
B=A.fA("tibemsXAResource_Forget",new Array("292"));
B=A.fA("tibemsXAResource_GetRMID",new Array("293"));
B=A.fA("tibemsXAResource_GetTransactionTimeout",new Array("294"));
B=A.fA("tibemsXAResource_isSameRM",new Array("295"));
B=A.fA("tibemsXAResource_Prepare",new Array("296"));
B=A.fA("tibemsXAResource_Recover",new Array("297"));
B=A.fA("tibemsXAResource_Rollback",new Array("298"));
B=A.fA("tibemsXAResource_SetRMID",new Array("299"));
B=A.fA("tibemsXAResource_SetTransactionTimeout",new Array("300"));
B=A.fA("tibemsXAResource_Start",new Array("301"));
B=A.fA("tibemsXASession_Close",new Array("303"));
B=A.fA("tibemsXASession_GetSession",new Array("304"));
B=A.fA("tibemsXASession_GetXAResource",new Array("305"));
B=A.fA("tibx_MVSConsole_Create",new Array("453"));
B=A.fA("tibx_MVSConsole_Destroy",new Array("453"));
B=A.fA("tibx_MVSConsole_SetConsumer",new Array("452"));
B=A.fA("Topic",new Array("122"));
B=A.fA("tracing");
C=B.fA("client",new Array("340"));
B=A.fA("translation, character encoding",new Array("12"));
B=A.fA("type conversion",new Array("20"));
A=P.fA("U",null,null,"002");
B=A.fA("Unicode",new Array("12"));
A=P.fA("W",null,null,"002");
B=A.fA("Write");
C=B.fA("BytesMessage",new Array("71"));
C=B.fA("StreamMessage",new Array("91"));
A=P.fA("X",null,null,"002");
B=A.fA("XA (not supported)",new Array("10#2120710"));
B=A.fA("XID",new Array("288"));
}

function  WWHBookData_MaxIndexLevel()
{
  return 3;
}
